View a markdown version of this page

BatchGetThreatModelJobTasks - AWS Security Agent

BatchGetThreatModelJobTasks

Retrieves information about one or more tasks within a threat model job.

Request Syntax

POST /BatchGetThreatModelJobTasks HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "threatModelJobTaskIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the tasks.

Type: String

Required: Yes

threatModelJobTaskIds

The list of task identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "notFound": [ "string" ], "threatModelJobTasks": [ { "agentSpaceId": "string", "createdAt": "string", "description": "string", "executionStatus": "string", "logsLocation": { "cloudWatchLog": { "logGroup": "string", "logStream": "string" }, "logType": "string" }, "taskId": "string", "threatModelId": "string", "threatModelJobId": "string", "title": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

notFound

The list of task identifiers that were not found.

Type: Array of strings

threatModelJobTasks

The list of threat model job tasks that were found.

Type: Array of ThreatModelJobTask objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: